## mailutils 2.1+dfsg1

=== debian/changelog ===
mailutils (1:2.1+dfsg1-6) unstable; urgency=medium

  * Follow Steve Langasek's suggestion in #555495 and make default-mta the
    preferred mail-transport-agent alternative, instead of exim4.
  * Add mailbox_lexer_parse_regular_files.diff, stolen from Git, to make
    mail work when ~/.mail exists as a directory (thanks Daniel Kahn Gillmor;
    closes: #543544).
  * Install mail as mail.mailutils and register alternatives for
    /usr/bin/mail, so the binary can co-exist with the already present
    alternative provided by bsd-mailx and heirloom-mailx (closes: #577738).
  * Include the c_api.so in python-mailutils, otherwise it's completely
    useless. Thanks Wojciech Polak for spotting this. NB: this change
    temporarily makes python-mailutils support python 2.5 only. This
    should be fixed for the next upload.
  * Make the Vcs-Svn and Vcs-Browser control fields point to trunk.

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Apr 2010 01:11:38 +0200

mailutils (1:2.1+dfsg1-5) unstable; urgency=low

  * Add a missing comma in mailutils' description (closes: #562589).
  * Conflict with bsdmainutils (<< 8.0.6) to ensure from is correctly
    registered with update-alternatives (see #565530 and #565596).
  * Special case "mail" and "comsatd" during manpage generation as their
    slightly different usage output breaks automatic detection of whatis
    info.
  * Remove old postinst code for rare sarge upgrade conditions.
  * Remove mailutils.preinst, which only holds code from 2002 to remove
    leftover elm+ diversions.
  * Generate a manpage for sieve.scm. The following changes are needed:
    - Set $GUILE_LOAD_PATH to the package's installdir
    - Temporarily modify the hardcoded mailutils libs path in mailutils.scm
      so sieve.scm can open them.
    - Introduce sieve.scm_help_output.diff to modify sieve.scm's --help
      output in order to make help2man happy.
  * Add a note to all manpages explaining their origin, and that bugs
    concerning their contents should not be sent upstream.
  * Fix the python install path to include "*-packages" so it works with
    python2.6 (closes: #571497).
  * Comment out the AM_GNU_RADIUS check from configure.ac, as the m4 is
    not available in the tarball nor in any current Debian package. Thanks
    to Kamal Mostafa, for the patch applied in Ubuntu (closes: #568484).
  * Switch to DpkgSource version 3.0 (quilt). Remove include for CDBS' quilt
    rules, README.source and quilt Build-Dependency.
  * Refresh patches.
  * Add a Lintian override for Mailutils MH binary directory. We want to be
    co-installable with MH-E, so for now we use another directory.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Sun, 28 Feb 2010 20:59:12 +0100

mailutils (1:2.1+dfsg1-4) unstable; urgency=low

  * Fix lenny upgrades of mailutils-mh by adding missing replaces,
    (thanks Nikolaus Schulz, closes: #564882).
  * Fix Lintian override for dotlock's setgid binary.
  * Remove Suggests to mailutils-doc, which is long gone.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Jan 2010 10:57:44 +0100

mailutils (1:2.1+dfsg1-3) unstable; urgency=medium

  * Add spelling_fixes.diff, to fix a pair of spelling fixes in MH and
    maidag.
  * Add ia64_include_setjmp.diff, to fix a FTBFS on ia64 (closes: #554592).
  * Add fetch_64.diff, to fix a testsuite error on amd64 by changing some
    format specifiers and variable types (thanks Sergey Poznyakoff,
    closes: #552964).
  * Add a lintian override for docklock's setgid bit.
  * Don't ship a default mail.rc, as bsd-mailx is already shipping
    /etc/mail.rc and this causes a file conflict. Instead, distribute it as
    an example in the package documentation (closes: #553040).
  * Move guile examples to mailutils-guile.
  * Add a missing alternative for from (Thanks Tomas Cassidy, LP 444138).

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Dec 2009 15:01:02 +0100

mailutils (1:2.1+dfsg1-2) unstable; urgency=low

  * Correct dependency on libmailutils-dev for mailutils-guile.
  * Build-Depend on guile-1.8 (>= 1.8.7+1-1.1), which has transitioned
    to readline6, to fix builds in buildds.
  * Use gawk in the get-orig-source target; as this isn't used during the
    build, we're not adding build deps, although it currently does not work
    with mawk.
  * Drop .la files from libmailutils-dev.
  * Add readmsg_command_line_segfaults.diff by Steve Cotton to fix a
    segfault in readmsg when using the -a and -p options (closes: #517457).
    Thanks!

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Oct 2009 13:55:24 +0100

mailutils (1:2.1+dfsg1-1) unstable; urgency=low

  [ Clint Adams ]
  * Bump to Standards-Version 3.8.3.
  * Remove myself from Uploaders.

  [ Jordi Mallach ]
  * New upstream release (closes: #548203).
  * Remove Jeff Bailey from Uploaders, with his consent.
  * Add a get-orig-source target to retrieve and cleanup a tarball
    without the non-free bits (rfc and texinfo docs).
  * Generate a new mailutils-guile package to ship the .scm files, and make
    it depend on libmailutils2-dev. Move note from libmailutils2.README.Debian
    to mailutils-guile.README.Debian to explain why the dep is needed
    (closes: #403537).
  * Move guimb and sieve.scm to mailutils-guile.
  * Move mh .el script and helper files to mailutils-mh.
  * Replace libmysqlclient15-dev with libmysqlclient-dev in Build-Depends.
  * Replace libreadline5-dev with libreadline-dev.
  * Require guile-1.8-dev on all architectures, ia64 seems finally ready.
  * Add python-dev to Build-Depends.
  * Install python extensions to new package python-mailutils.
  * Drop libidn11-dev from Build-Depends. Nothing appears to use it anymore.
  * Adapt for some sub-library changes.
  * Update shlibs.
  * Drop Conflicts on libsieve2-1, there are no more fileclashes.
  * Handle that --enable-mh-utils is now --enable-mh.
  * Add ${misc:Depends} to all packages.
  * Move to debhelper compat level 7.

