=== debian/control ===
Source: mailutils
Section: mail
Priority: optional
Maintainer: Jordi Mallach <jordi@debian.org>
Uploaders: Luk Claes <luk@debian.org>
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-mailutils/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mailutils/trunk/
Homepage: http://www.gnu.org/software/mailutils/
Build-Depends: cdbs (>= 0.4.4),
               bison,
               debhelper (>= 7),
               dejagnu,
               flex,
               gawk,
               gettext,
               help2man,
               guile-1.8-dev (>= 1.8.7+1-1.1),
               libfribidi-dev,
               libgdbm-dev,
               libgnutls-dev,
               libgsasl7-dev (>= 0.2.5),
               libkrb5-dev,
               libldap2-dev,
               liblocale-gettext-perl,
               libltdl3-dev,
               libmysqlclient-dev,
               libpam0g-dev,
               libreadline-dev,
               libwrap0-dev,
               python-dev (>= 2.5),
               python-support,
               zlib1g-dev,
               texinfo
XS-Python-Version: >= 2.5

Package: libmailutils2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libmailutils1
Conflicts: libmailutils0, libmailutils1
Description: GNU Mail abstraction library
 This is GNU's Mail abstraction library.  This library allows programs to
 hook into a single library for many different types of mail backends.
 The following backend stores are currently provided: mbox, mh, maildir,
 pop3, imap4.

Package: libmailutils-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libmailutils2 (= ${binary:Version}), ${misc:Depends}
Replaces: libmailutils0-dev
Conflicts: libmailutils0-dev, libsieve2-dev
Description: Development files for GNU mailutils
 This package includes the development files for GNU mailutils and
 GNU's Mail abstraction library.

Package: mailutils
Architecture: any
Depends: ${shlibs:Depends}, default-mta | mail-transport-agent, ${misc:Depends}
Conflicts: bsdmainutils (<< 8.0.6), bsd-mailx (<< 8.1.2-0.20071201cvs-1), heirloom-mailx, elm-me+ (<< 2.4pl25ME+99c-3)
Provides: mail-reader, mailx
Suggests: mailutils-mh
Description: GNU mailutils utilities for handling mail
 This package contains the GNU mailutils versions of dotlock, frm, from,
 maidag, mail, messages, mimeview, movemail, readmsg and sieve. They are
 capable of speaking POP3, IMAP, mbox, MH and Maildir.
 .
  dotlock -- lock mail spool files.
  frm -- display From: lines.
  from -- display from and subject.
  maidag -- the mail delivery agent.
  mail -- the standard /bin/mail interface, mail sender and reader.
  messages -- count the number of messages in a mailbox.
  mimeview -- display files, using mailcap mechanism.
  movemail -- move messages across mailboxes.
  readmsg -- extract selected messages from a mailbox.
  sieve -- a mail filtering tool.

Package: mailutils-imap4d
Section: net
Architecture: any
Conflicts: imap-server
Provides: imap-server
Depends: ${shlibs:Depends}, netbase, update-inetd, ${misc:Depends}
Description: GNU mailutils-based IMAP4 Daemon
 The GNU mailutils IMAP4 daemon implements the Internet Message Access
 Protocol, version 4rev1 as per RFC 2060. It supports the "Namespace"
 capability and GSSAPI authentication mechanism. It is able to get the
 authentication information from the system user database as well as from
 a SQL database of arbitrary structure. The PAM framework can also be
 used for authentication purposes. Additionally, mailutils imap4d supports
 virtual mail domains and has TLS support via GNUtls. GNU mailutils supports
 the mbox, MH and Maildir mailbox formats.

Package: mailutils-pop3d
Section: net
Architecture: any
Provides: pop3-server
Conflicts: pop3-server
Depends: ${shlibs:Depends}, netbase, update-inetd, ${misc:Depends}
Description: GNU mailutils-based POP3 Daemon
 The GNU mailutils POP3 daemon supports the basic POP3 protocol with the
 CAPA, RESP-CODES, PIPELINING and UIDL extensions. It also supports APOP
 authentication. The user credentials for APOP can be stored in a variety
 of DBM formats. It is able to get the authentication information from
 the system user database as well as from a SQL database of arbitrary
 structure. The PAM framework can also be used for authentication
 purposes. Additionally, mailutils pop3d supports virtual mail domains and
 has TLS support via GNUtls. GNU mailutils supports the mbox, MH and
 Maildir mailbox formats.

Package: mailutils-comsatd
Section: net
Architecture: any
Replaces: mailutils (<< 20030216-1)
Conflicts: biff
Depends: ${shlibs:Depends}, netbase, update-inetd, ${misc:Depends}
Description: GNU mailutils-based comsatd daemon
 The GNU mailutils comsat daemon receives reports of incoming mail and
 notifies users who wish to get this service.

Package: mailutils-guile
Architecture: any
Depends: ${shlibs:Depends}, guile-1.8, libmailutils-dev, ${misc:Depends}
Replaces: libmailutils2 (<< 1:2.1), mailutils (<< 1:2.1)
Description: GNU mailutils Guile interpreter and modules
 These are the GNU mailutils Guile utilities and modules. In particular,
 the "guimb" mail processor and the sieve.scm sieve to Scheme translator
 are included, along with several .scm modules for use with Guile.

Package: mailutils-mh
Architecture: any
Provides: mail-reader
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libmailutils1, libmailutils2 (<< 1:2.1)
Suggests: mailutils, mh-e
Description: GNU mailutils-based MH utilities
 These are the GNU mailutils MH utilities. It is an implementation of MH, a
 collection of small shell programs to read and handle mail in a very flexible
 way.

Package: python-mailutils
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: GNU Mail abstraction library (Python interface)
 GNU Mailutils is a rich and powerful protocol-independent mail framework.
 It contains a series of useful mail libraries, clients, and servers.
 .
 This is the Python interface to the Mailutils library.
