=== debian/watch ===
version=2
opts="dversionmangle=s/\+dfsg\d+$//" \
http://ftp.gnu.org/gnu/mailutils/mailutils-([\d\.]+)\.tar\.(gz|bz2)
