## mailutils 2.2+dfsg1

=== debian/changelog ===
mailutils (1:2.2+dfsg1-5) unstable; urgency=low

  * types_pkginclude_HEADERS.patch: Move types.h from pkginclude_DATA to
    _HEADERS to fix an autoreconf error with new automake versions
    (closes: #661813).
  * Move to debhelper v9.
  * Migrate to dh_python2.
  * Bump Standards-Version to 3.9.3.
  * Run wrap-and-sort on the source package.

 -- Jordi Mallach <jordi@debian.org>  Thu, 01 Mar 2012 23:04:54 +0100

mailutils (1:2.2+dfsg1-4) unstable; urgency=low

  * Apply patch from Jakub Wilk to add a missing -llber to MU_AUTHLIBS.
    This had caused a FTBFS with binutils-gold at some point, but not at
    the moment (closes: #555585).
  * Build-Depend and include dh-autoreconf, to regenerate the build
    system after the above change. Additionally, Build-Depend on autopoint.
  * Backport patch from Simon Josefsson to avoid using GnuTLS deprecated
    functions (closes: #624029).
  * Apply patch from Nicolas Dandrimont to fix a FTBFS with
    -Werror=format-security. Additionally, add another patch from Nicolas
    to refresh mh/mh_fmtgram.c, from the fixed bison source
    (closes: #643440).
  * Apply patch from Sam Rodgers to relax permission checks on SSL keys,
    which may be group-readable in Debian, for the ssl-cert group
    (closes: #630007).
  * Bump Standards-Version to 3.9.2, after checking that GNU Mail
    implements the POSIX-required interface for mailx.
  * Replace versioned conflicts on other packages providing mailx with
    Breaks.
  * Add a versioned Breaks to heirloom-mailx for the versions previous to
    the introduction of alternatives for mailx.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Sep 2011 00:36:41 +0200

mailutils (1:2.2+dfsg1-3) unstable; urgency=low

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sat, 12 Feb 2011 21:15:33 +0100

mailutils (1:2.2+dfsg1-2) experimental; urgency=low

  * Apply patch remove_MAXHOSTNAMELEN.diff from the patches-2.2 branch,
    in an attempt to fix build issues on the Hurd.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Oct 2010 18:51:29 +0200

mailutils (1:2.2+dfsg1-1) experimental; urgency=low

  * New upstream release.
    - Remove ia64_include_setjmp.diff, spelling_fixes.diff,
      program_descriptions.diff, mh_repl_folder.diff, fetch_64.diff,
      readmsg_command_line_segfaults.diff, mips_weak_symbols.diff,
      mailbox_lexer_parse_regular_files.diff: obsolete with new version.
  * Update watch file to prefer bzip2-compressed files.
  * Adapt get-orig-source rule for new tar filename and for the
    absence of RFC docs in the upstream tarball.
  * Use bzip2 for the debian tar.
  * Add mailutils.scm.diff, to fix non-generated variables during the
    build of mailutils.scm.
  * Add DEP-3 descriptions to all patches.
  * Fix get-orig-source awk expression so it works with mawk again.

 -- Jordi Mallach <jordi@debian.org>  Tue, 14 Sep 2010 12:40:33 +0200

mailutils (1:2.1+dfsg1-7) unstable; urgency=low

  * Fix mangen.sh to generate an appropriate description for mail
    after the program name change in the previous upload.
  * Remove hunks of program descriptions.patch which just removed the
    trailing dot from the doc strings. Upstream went the other way long
    ago -- adding the dots wherever they were missing.
  * Add mh_repl_folder.diff, stolen from Git: set MU folder directory to
    mh_get_dir (fixes a bug found by Peter S. Galbraith).
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Jordi Mallach <jordi@debian.org>  Mon, 13 Sep 2010 19:54:54 +0200
