=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Luk Claes <luk@debian.org>
-Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/pkg-mailutils/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mailutils/trunk/
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/pkg-mailutils/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mailutils/trunk/
 Homepage: http://www.gnu.org/software/mailutils/
-Build-Depends: cdbs (>= 0.4.4),
+Build-Depends: autopoint,
                bison,
-               debhelper (>= 7),
+               cdbs (>= 0.4.90~),
+               debhelper (>= 9),
                dejagnu,
+               dh-autoreconf,
                flex,
                gawk,
                gettext,
+               guile-1.8-dev (>= 1.8.7+1-1.1~),
                help2man,
-               guile-1.8-dev (>= 1.8.7+1-1.1),
                libfribidi-dev,
                libgdbm-dev,
                libgnutls-dev,
@@ -28,16 +30,15 @@
                libpam0g-dev,
                libreadline-dev,
                libwrap0-dev,
-               python-dev (>= 2.5),
-               python-support,
-               zlib1g-dev,
-               texinfo
-XS-Python-Version: >= 2.5
+               python-dev (>= 2.6.6-3~),
+               texinfo,
+               zlib1g-dev
+X-Python-Version: >= 2.5
 
 Package: libmailutils2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libmailutils1
 Conflicts: libmailutils0, libmailutils1
 Description: GNU Mail abstraction library
@@ -49,7 +50,7 @@
 Package: libmailutils-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, libmailutils2 (= ${binary:Version}), ${misc:Depends}
+Depends: libmailutils2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: libmailutils0-dev
 Conflicts: libmailutils0-dev, libsieve2-dev
 Description: Development files for GNU mailutils
@@ -58,8 +59,11 @@
 
 Package: mailutils
 Architecture: any
-Depends: ${shlibs:Depends}, default-mta | mail-transport-agent, ${misc:Depends}
-Conflicts: bsdmainutils (<< 8.0.6), bsd-mailx (<< 8.1.2-0.20071201cvs-1), heirloom-mailx, elm-me+ (<< 2.4pl25ME+99c-3)
+Depends: default-mta | mail-transport-agent, ${misc:Depends}, ${shlibs:Depends}
+Breaks: bsd-mailx (<< 8.1.2-0.20071201cvs-1),
+        bsdmainutils (<< 8.0.6),
+        elm-me+ (<< 2.4pl25ME+99c-3),
+        heirloom-mailx (<< 12.3-3)
 Provides: mail-reader, mailx
 Suggests: mailutils-mh
 Description: GNU mailutils utilities for handling mail
@@ -83,7 +87,7 @@
 Architecture: any
 Conflicts: imap-server
 Provides: imap-server
-Depends: ${shlibs:Depends}, netbase, update-inetd, ${misc:Depends}
+Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
 Description: GNU mailutils-based IMAP4 Daemon
  The GNU mailutils IMAP4 daemon implements the Internet Message Access
  Protocol, version 4rev1 as per RFC 2060. It supports the "Namespace"
@@ -99,7 +103,7 @@
 Architecture: any
 Provides: pop3-server
 Conflicts: pop3-server
-Depends: ${shlibs:Depends}, netbase, update-inetd, ${misc:Depends}
+Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
 Description: GNU mailutils-based POP3 Daemon
  The GNU mailutils POP3 daemon supports the basic POP3 protocol with the
  CAPA, RESP-CODES, PIPELINING and UIDL extensions. It also supports APOP
@@ -116,14 +120,14 @@
 Architecture: any
 Replaces: mailutils (<< 20030216-1)
 Conflicts: biff
-Depends: ${shlibs:Depends}, netbase, update-inetd, ${misc:Depends}
+Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
 Description: GNU mailutils-based comsatd daemon
  The GNU mailutils comsat daemon receives reports of incoming mail and
  notifies users who wish to get this service.
 
 Package: mailutils-guile
 Architecture: any
-Depends: ${shlibs:Depends}, guile-1.8, libmailutils-dev, ${misc:Depends}
+Depends: guile-1.8, libmailutils-dev, ${misc:Depends}, ${shlibs:Depends}
 Replaces: libmailutils2 (<< 1:2.1), mailutils (<< 1:2.1)
 Description: GNU mailutils Guile interpreter and modules
  These are the GNU mailutils Guile utilities and modules. In particular,
@@ -133,7 +137,7 @@
 Package: mailutils-mh
 Architecture: any
 Provides: mail-reader
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libmailutils1, libmailutils2 (<< 1:2.1)
 Suggests: mailutils, mh-e
 Description: GNU mailutils-based MH utilities
@@ -144,9 +148,8 @@
 Package: python-mailutils
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: GNU Mail abstraction library (Python interface)
  GNU Mailutils is a rich and powerful protocol-independent mail framework.
  It contains a series of useful mail libraries, clients, and servers.
