## mailutils 2.99.97

=== debian/changelog ===
mailutils (1:2.99.97-3ubuntu1) raring; urgency=low

  * Build using guile-2.0

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Apr 2013 11:10:37 +0200

mailutils (1:2.99.97-3) unstable; urgency=low

  * Both maildir-utils and mailutils ship a “mu” binary, two completely
    different programs for different purposes. As maildir-utils has been
    around in Debian for years, rename ours to “mu-tool” (closes: #678484).
  * Document the above change in README.Debian.

 -- Jordi Mallach <jordi@debian.org>  Fri, 22 Jun 2012 19:47:45 +0200

mailutils (1:2.99.97-2) unstable; urgency=low

  * Upload to unstable.
  * Drop libmu_nntp and libmu_cpp from .shlibs: these interfaces
    won't be available until 3.0.
  * Drop version mangling from watch file, and look for .xz tarballs.
  * Set DEFAULT_CUPS_CONFDIR=/usr/share/cups/mime when configuring, so
    mimeview can find the CUPS mime.types file it expects
    (closes: #435496, #666041).
  * Disable spelling_fixes.patch: it is very nice, but I prefer working
    tests (which expect “messsages”).
  * This version of GNU mail does not crash when root uses a .mailrc file
    (closes: #510949).
  * Add set sendmail=/usr/sbin/sendmail to the default mail.rc, to work
    around some daemons not installing the /usr/lib/sendmail compatibility
    symlink (closes: #440603).

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Jun 2012 14:52:02 +0200

mailutils (1:2.99.97-1) experimental; urgency=low

  * New upstream beta release.
    - guimb is reimplemented, and should now work (closes: #602665).
    - mail no longer ignores last line of stdin if it lacks a newline
      (closes: #526706).
    - mailutils-config is replaced in favour of “mu” (closes: #301962).
  * We're back into using the pristine upstream tarball, as the texinfo
    manual no longer has Front or Back-Covers texts, nor Invariant
    Sections, and the RFC documents are gone from the distribution. Thanks
    a lot for this Sergey!
  * Drop get-orig-source target from rules. It's not needed anymore as
    we're back to pristine tarballs.
  * Rewrite copyright file in machine-readable format 1.0 and add a
    section for GFDL-NIV material.
  * Mailutils has changed a lot in this release. Accommodate packaging
    files for new libs and sonames, old programs and modules dropped,
    and new programs added.
  * Refresh disable_am_gnu_radius.patch and lber_ldadd.patch, but keep
    them disabled.
  * Rename sieve.scm_help_output.patch to sieve2scm_help_output.patch, and
    refresh.
  * Remove all other patches: all obsolete or applied upstream.
  * Add spelling_fixes.patch to fix a typo in imap4d.
  * Add mu-remove_conflicting.patch to fix conflicting declarations.
  * Get rid of testsuite/testsuite script on clean.
  * Remove debian/source/options: use Debian's standard compression.
  * Pass --disable-cxx for now, as the C++ extension does not build.
  * Pass --disable-static and drop .a files.
  * Disable NNTP support as it's still not ported to libmailutils4.
  * Stop setting $HOME. The rewrite of the testsuite using autotest should
    help the problems with DejaGNU.
  * Bring mailutils-doc back and ship the Mailutils texinfo manual in it.
  * Build html documentation.
  * Register the Mailutils manual with doc-base.
  * Add debugging symbols to a new mailutils-dbg package.
  * Move locale data to a new mailutils-common package.
  * Enable hardening flags; Build-Depend on dpkg-dev >= (1.16.1) for
    buildflags.mk.
  * Disable building of scheme-based program manpages, as their execution
    fails before make install.
  * Drop mailutils-config's manpage. It's deprecated and its help output
    is no longer help2man compatible.
  * Update help2man include to point to the mailutils-doc package.
  * Make testsuite non-fatal while we stay in experimental.
  * Make libmailutils-dev depend on all referenced -dev packages.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Jun 2012 02:55:11 +0200

mailutils (1:2.2+dfsg1-6) unstable; urgency=low

  * Build-Depend on libltdl-dev, not libltdl3-dev.
  * Complete half-baked dh_python2 migration (closes: #662218).
  * Drop dpkg-source options file, to use the standard compression for
    debian tar.
  * Pass --list-missing to dh_install.
  * Stop installing an empty modules dir.

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 Apr 2012 23:46:16 +0200
