=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Vcs-Svn: svn://anonscm.debian.org/pkg-mailutils/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mailutils/trunk/
 Homepage: http://www.gnu.org/software/mailutils/
-Build-Depends: autopoint,
-               bison,
+Build-Depends: bison,
                cdbs (>= 0.4.90~),
-               debhelper (>= 9),
+               debhelper (>= 9~),
+               dh-autoreconf, autopoint,
                dejagnu,
-               dh-autoreconf,
+               dpkg-dev (>= 1.16.1~),
                flex,
                gawk,
                gettext,
-               guile-1.8-dev (>= 1.8.7+1-1.1~),
+               guile-2.0-dev,
                help2man,
                libfribidi-dev,
                libgdbm-dev,
@@ -25,7 +25,7 @@
                libkrb5-dev,
                libldap2-dev,
                liblocale-gettext-perl,
-               libltdl3-dev,
+               libltdl-dev,
                libmysqlclient-dev,
                libpam0g-dev,
                libreadline-dev,
@@ -35,13 +35,18 @@
                zlib1g-dev
 X-Python-Version: >= 2.5
 
-Package: libmailutils2
+Package: libmailutils4
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libmailutils1
-Conflicts: libmailutils0, libmailutils1
+Depends: mailutils-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: libmailutils1, libmailutils2
+Conflicts: libmailutils0, libmailutils1, libmailutils2
 Description: GNU Mail abstraction library
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
  This is GNU's Mail abstraction library.  This library allows programs to
  hook into a single library for many different types of mail backends.
  The following backend stores are currently provided: mbox, mh, maildir,
@@ -50,23 +55,40 @@
 Package: libmailutils-dev
 Section: libdevel
 Architecture: any
-Depends: libmailutils2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmailutils4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         libgdbm-dev,
+         libgnutls-dev,
+         libgsasl7-dev (>= 0.2.5),
+         libldap2-dev,
+         libpam0g-dev
+Suggests: mailutils-doc
 Replaces: libmailutils0-dev
 Conflicts: libmailutils0-dev, libsieve2-dev
 Description: Development files for GNU mailutils
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
  This package includes the development files for GNU mailutils and
  GNU's Mail abstraction library.
 
 Package: mailutils
 Architecture: any
-Depends: default-mta | mail-transport-agent, ${misc:Depends}, ${shlibs:Depends}
+Depends: mailutils-common (= ${source:Version}),
+         default-mta | mail-transport-agent,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: bsd-mailx (<< 8.1.2-0.20071201cvs-1),
         bsdmainutils (<< 8.0.6),
         elm-me+ (<< 2.4pl25ME+99c-3),
         heirloom-mailx (<< 12.3-3)
 Provides: mail-reader, mailx
-Suggests: mailutils-mh
+Suggests: mailutils-mh, mailutils-doc
 Description: GNU mailutils utilities for handling mail
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
  This package contains the GNU mailutils versions of dotlock, frm, from,
  maidag, mail, messages, mimeview, movemail, readmsg and sieve. They are
  capable of speaking POP3, IMAP, mbox, MH and Maildir.
@@ -82,13 +104,32 @@
   readmsg -- extract selected messages from a mailbox.
   sieve -- a mail filtering tool.
 
+Package: mailutils-common
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libmailutils2 (<< 1:2.3)
+Replaces: libmailutils2 (<< 1:2.3)
+Description: Common files for GNU mailutils
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
+ These are common files for all mailutils packages, including locale
+ files.
+
 Package: mailutils-imap4d
 Section: net
 Architecture: any
 Conflicts: imap-server
 Provides: imap-server
-Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
+Depends: mailutils-common (= ${source:Version}),
+         netbase,
+         update-inetd,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GNU mailutils-based IMAP4 Daemon
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
  The GNU mailutils IMAP4 daemon implements the Internet Message Access
  Protocol, version 4rev1 as per RFC 2060. It supports the "Namespace"
  capability and GSSAPI authentication mechanism. It is able to get the
@@ -103,8 +144,15 @@
 Architecture: any
 Provides: pop3-server
 Conflicts: pop3-server
-Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
+Depends: mailutils-common (= ${source:Version}),
+         netbase,
+         update-inetd,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GNU mailutils-based POP3 Daemon
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
  The GNU mailutils POP3 daemon supports the basic POP3 protocol with the
  CAPA, RESP-CODES, PIPELINING and UIDL extensions. It also supports APOP
  authentication. The user credentials for APOP can be stored in a variety
@@ -120,14 +168,25 @@
 Architecture: any
 Replaces: mailutils (<< 20030216-1)
 Conflicts: biff
-Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
+Depends: mailutils-common (= ${source:Version}),
+         netbase,
+         update-inetd,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GNU mailutils-based comsatd daemon
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
  The GNU mailutils comsat daemon receives reports of incoming mail and
  notifies users who wish to get this service.
 
 Package: mailutils-guile
 Architecture: any
-Depends: guile-1.8, libmailutils-dev, ${misc:Depends}, ${shlibs:Depends}
+Depends: mailutils-common (= ${source:Version}),
+         guile-2.0,
+         libmailutils-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: libmailutils2 (<< 1:2.1), mailutils (<< 1:2.1)
 Description: GNU mailutils Guile interpreter and modules
  These are the GNU mailutils Guile utilities and modules. In particular,
@@ -137,10 +196,15 @@
 Package: mailutils-mh
 Architecture: any
 Provides: mail-reader
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: mailutils-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: libmailutils1, libmailutils2 (<< 1:2.1)
 Suggests: mailutils, mh-e
 Description: GNU mailutils-based MH utilities
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
  These are the GNU mailutils MH utilities. It is an implementation of MH, a
  collection of small shell programs to read and handle mail in a very flexible
  way.
@@ -148,10 +212,37 @@
 Package: python-mailutils
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: mailutils-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: GNU Mail abstraction library (Python interface)
  GNU Mailutils is a rich and powerful protocol-independent mail framework.
  It contains a series of useful mail libraries, clients, and servers.
  .
  This is the Python interface to the Mailutils library.
+
+Package: mailutils-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Documentation files for GNU mailutils
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
+ This package contains the documentation for the mailutils utilities and
+ development API.
+
+Package: mailutils-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: mailutils (= ${binary:Version}),
+         ${misc:Depends}
+Description: Debugging symbols for GNU mailutils
+ GNU Mailutils is a rich and powerful protocol-independent mail framework.
+ It contains a series of useful mail libraries, clients, and servers.
+ .
+ This package contains the debugging symbols for GNU mailutils libraries,
+ applications and servers.
