=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/mailutils/mailutils-([\d\.]+)\.tar\.xz
