## mailutils 2.99.98

=== debian/changelog ===
mailutils (1:2.99.98-2) unstable; urgency=low

  * Ack NMU's, thanks! (Closes: #759359)
  * Remove Luk Claes from Uploaders, on request (closes: #723604).
  * Bump hardcoded guile dependency to 2.0, (gràcies Aleix! closes: #724272).
  * Rename fix-authentication.patch to pop3d_auth_crash.patch.
  * Convert libmailutils4 to Multi-Arch.
  * Fix filename typo in copyright.
  * Bump to Standards-Version 3.9.6.

 -- Jordi Mallach <jordi@debian.org>  Wed, 08 Oct 2014 00:16:52 +0200

mailutils (1:2.99.98-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * 10_guile-snarf-CPP.diff: Fix FTBFS on *ix86 caused by #759096 (guile-snarf
    hard-codes the at-build-time-default-compiler) by explicitely adding
    CPP="@CPP@" to guile-snarf's run-time environment.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 26 Aug 2014 19:34:36 +0200

mailutils (1:2.99.98-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch (build-)depends from libgnutls-dev to libgnutls28-dev. 
    Closes: #753129

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 16:35:09 +0200

mailutils (1:2.99.98-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/readline.patch: Fix build issues with recent versions of
    readline. (Closes: #741838)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 25 Apr 2014 19:28:29 +0200

mailutils (1:2.99.98-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch by Steve M. Robbins to fix a crash upon authentication.
    (Closes: #720060)
 
 -- Philipp Kern <pkern@debian.org>  Fri, 22 Nov 2013 20:09:51 +0100

mailutils (1:2.99.98-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs to 1:2.99.98.
  * Drop disable_am_gnu_radius.patch, lber_ldadd.patch, spelling_fixes.patch
    and mu-remove_conflicting.patch, all fixed upstream or obsoleted.
  * Add texinfo_fixes.patch: fix a few texinfo syntax errors that are now
    fatal with texinfo 5.x (closes: #713327).
  * Switch from GDBM to Kyoto Cabinet (closes: #714788).
  * Add tokyocabinet_dependencies.patch: don't force -lbz2 -lgz -lrt
    dependencies when building kyotocabinet support.
  * Switch to Guile 2.0.
  * Add guile_bindir.patch: don't assume the pkg-config file defines bindir.
    Add a hack to append /bin to Guile's prefix.
  * Enable dh_autoreconf.
  * Switch watch url to alpha.gnu.org.
  * Explicitly enable python support.
  * Unset X-Python-Version.
  * Update Standards-Version to 3.9.4, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Jul 2013 09:09:42 +0200
