=== debian/control ===
--- 
+++ 
@@ -2,13 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
-Uploaders: Luk Claes <luk@debian.org>
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/pkg-mailutils/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mailutils/trunk/
-Homepage: http://www.gnu.org/software/mailutils/
 Build-Depends: bison,
-               cdbs (>= 0.4.90~),
+               cdbs (>= 0.4.93~),
                debhelper (>= 9~),
                dh-autoreconf, autopoint,
                dejagnu,
@@ -19,10 +14,10 @@
                guile-2.0-dev,
                help2man,
                libfribidi-dev,
-               libgdbm-dev,
-               libgnutls-dev,
+               libgnutls28-dev,
                libgsasl7-dev (>= 0.2.5),
                libkrb5-dev,
+               libkyotocabinet-dev,
                libldap2-dev,
                liblocale-gettext-perl,
                libltdl-dev,
@@ -33,16 +28,21 @@
                python-dev (>= 2.6.6-3~),
                texinfo,
                zlib1g-dev
-X-Python-Version: >= 2.5
+Standards-Version: 3.9.6
+Vcs-Svn: svn://anonscm.debian.org/pkg-mailutils/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mailutils/trunk/
+Homepage: http://www.gnu.org/software/mailutils/
 
 Package: libmailutils4
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: mailutils-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: libmailutils1, libmailutils2
 Conflicts: libmailutils0, libmailutils1, libmailutils2
+Multi-Arch: same
 Description: GNU Mail abstraction library
  GNU Mailutils is a rich and powerful protocol-independent mail framework.
  It contains a series of useful mail libraries, clients, and servers.
@@ -58,11 +58,11 @@
 Depends: libmailutils4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-         libgdbm-dev,
-         libgnutls-dev,
+         libgnutls28-dev,
          libgsasl7-dev (>= 0.2.5),
          libldap2-dev,
-         libpam0g-dev
+         libpam0g-dev,
+         libkyotocabinet-dev
 Suggests: mailutils-doc
 Replaces: libmailutils0-dev
 Conflicts: libmailutils0-dev, libsieve2-dev
@@ -109,6 +109,7 @@
 Depends: ${misc:Depends}
 Breaks: libmailutils2 (<< 1:2.3)
 Replaces: libmailutils2 (<< 1:2.3)
+Multi-Arch: foreign
 Description: Common files for GNU mailutils
  GNU Mailutils is a rich and powerful protocol-independent mail framework.
  It contains a series of useful mail libraries, clients, and servers.
@@ -183,8 +184,8 @@
 Package: mailutils-guile
 Architecture: any
 Depends: mailutils-common (= ${source:Version}),
+         libmailutils-dev,
          guile-2.0,
-         libmailutils-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: libmailutils2 (<< 1:2.1), mailutils (<< 1:2.1)
