=== debian/watch ===
version=3
http://alpha.gnu.org/gnu/mailutils/mailutils-([\d\.]+)\.tar\.xz
